package logging

import (
	`errors`
)

var (
	// ErrExistingLogger indicates that the user attempted to add a Logger to a MultiLogger using an already-existing identifier.
	ErrExistingLogger error = errors.New("a Logger with that identifier already exists; please remove it first")
	/*
		ErrInvalidFile indicates that the user attempted to add a FileLogger to a MultiLogger but the file doesn't exist,
		exists with too restrictive perms to write/append to, and/or could not be created.
	*/
	ErrInvalidFile error = errors.New("a FileLogger was requested but the file does not exist and cannot be created")
	// ErrNoEntry indicates that the user attempted to MultiLogger.RemoveLogger a Logger but one by that identifier does not exist.
	ErrNoEntry error = errors.New("the Logger specified to be removed does not exist")
)
