package logging

import (
	`errors`
	`fmt`
)

var (
	// ErrBadBinPath is returned if installing a binary-registered Event Log source instead of using EventCreate.exe.
	ErrBadBinPath error = errors.New("evaluated binary path does not actually exist")
	// ErrBadPerms is returned if an access denied error is received when attempting to register, write to, close, etc. a source without proper perms.
	ErrBadPerms error = errors.New("access denied when attempting to register Event Log source")
	// ErrBadEid is returned if an event ID is within an invalid range.
	ErrBadEid error = errors.New(fmt.Sprintf("event IDs must be between %v and %v inclusive", EIDMin, EIDMax))
)
